# GimpUi.EnumComboBox.new

    function new(enum_type: GObject.Type): Gtk.Widget {
        // Gjs wrapper for gimp_enum_combo_box_new()
    }

Creates a Gtk.ComboBox readily filled with all enum values from a given enum_type. The enum needs to be registered to the type system. It should also have %GimpEnumDesc descriptions registered that contain translatable value names. This is the case for the enums used in the GIMP PDB functions.

This is just a convenience function. If you need more control over the enum values that appear in the combo_box, you can create your own GimpUi.EnumStore and use GimpUi.EnumComboBox.new_with_model.

Since 2.4

enum_type

  the GLib.Type of an enum.

Returns

  a new GimpUi.EnumComboBox.